Imports IntraSell_DLL
Imports IntraSell_Net_Base



Public Class StatistikAustriaWarengruppen
    Inherits AbstractForm

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Dim sql = <a>INSERT INTO statistik_austria_warengruppen ( ArtNr, Gewicht, Warennr )
SELECT grartikel.ArtNr, If(grartikel.Gewicht Is Null,0,grartikel.gewicht) AS GEW, 'N.A.' AS WN
FROM grartikel LEFT JOIN statistik_austria_warengruppen ON grartikel.ArtNr = statistik_austria_warengruppen.ArtNr
WHERE (((statistik_austria_warengruppen.ArtNr) Is Null))</a>.Value

    Dim sqlWG = <a>INSERT IGNORE INTO statistik_austria_warengruppen_uebersicht (warennr, bezeichnung)
SELECT 'N.A.'   , 'Nicht zugeordnete Artikel'
FROM DUAL </a>.Value

    Private Sub StatistikAustriaWarengruppen_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Try
            Lade()
            Dim ac = New EANAutoComplete(DataGridView2, EANColIndex:=1, ArtNrColIndex:=0, BezeichnungColIndex:=2, SpezifikationColIndex:=-1)
            ac.MakeEANColumnAutocomplete()
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Public Sub Lade()
        Statistik_austria_warengruppen_uebersichtTableAdapter.Connection = CurrentDB
        Statistik_austria_warengruppenTableAdapter.Connection = CurrentDB
        ds = DsStatAustria
        ParentBindingNavigator.BindingSource = StatistikaustriawarengruppenuebersichtBindingSource
        Statistik_austria_warengruppen_uebersichtTableAdapter.Fill(DsStatAustria.statistik_austria_warengruppen_uebersicht)
        Statistik_austria_warengruppenTableAdapter.FillBy(DsStatAustria.statistik_austria_warengruppen)
    End Sub
    Private Sub GrartikelBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            StatistikaustriawarengruppenuebersichtBindingSource.EndEdit()

            Statistik_austria_warengruppen_uebersichtTableAdapter.Update(DsStatAustria)
            Statistik_austria_warengruppenTableAdapter.Update(DsStatAustria)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonOhnezuordnung_Click(sender As Object, e As EventArgs) Handles ButtonOhnezuordnung.Click

        Try
            RunSQL(sqlWG)
            RunSQL(sql)
            MsgBox("Fertig! Gehen Sie alle Artikel der Gruppe N.A. ohne Zuordnung und stellen sie die korrekte Warengruppe ein!")
            Lade()
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
End Class